For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
      • POSTCreate a LaunchDarkly OAuth 2.0 client
      • DELDelete OAuth 2.0 client
      • GETGet client by ID
      • GETGet clients
      • PATCHPatch client by ID
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewOAuth2 Clients

Create a LaunchDarkly OAuth 2.0 client

POST
/api/v2/oauth/clients
POST
/api/v2/oauth/clients
$curl -X POST https://app.launchdarkly.com/api/v2/oauth/clients \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "_links": {
3 "parent": {
4 "href": "/api/v2/oauth/clients",
5 "type": "application/json"
6 },
7 "self": {
8 "href": "/api/v2/oauth/clients/50666563-9144-4125-b822-33f308227e45",
9 "type": "application/json"
10 }
11 },
12 "name": "string",
13 "_accountId": "string",
14 "_clientId": "string",
15 "redirectUri": "string",
16 "_creationDate": 1494437420312,
17 "description": "string",
18 "_clientSecret": "string"
19}

Create (register) a LaunchDarkly OAuth2 client. OAuth2 clients allow you to build custom integrations using LaunchDarkly as your identity provider.

Was this page helpful?
Previous

Delete OAuth 2.0 client

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

This endpoint expects an object.
namestringOptional
The name of your new LaunchDarkly OAuth 2.0 client.
redirectUristringOptional
The redirect URI for your new OAuth 2.0 application. This should be an absolute URL conforming with the standard HTTPS protocol.
descriptionstringOptional
Description of your OAuth 2.0 client.

Response

OAuth 2.0 client response
_linksmap from strings to objects
The location and content type of related resources
namestring
Client name
_accountIdstring
The account ID the client is registered under
_clientIdstring
The client's unique ID
redirectUristring
The client's redirect URI
_creationDatelong
Timestamp of client creation date
descriptionstring
Client description
_clientSecretstring
The client secret. This will only be shown upon creation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error